<form name="deleteForm" (ngSubmit)="verifierDemande(data)">
  <div class="modal-header" style="background: #f19116 ;color: white">    <h4 class="modal-title">Crédit N° {{data.id}}</h4>
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
  </div>
  <div class="modal-body">
    <div class="row">
      <div class="col-lg-12 mb-4">
        <div widget class="card border-0 box-shadow">
          <div class="card-header transparent border-0 text-muted">
            <h5 class="mb-0">Données de l'assuré sous la matricule {{ matricule }}</h5>
          </div>
          <div class="card-body pt-0 widget-body">
            <br/>
            <table style="width:100%">
              <tr>
                <th>Nom</th>
                <td>{{ assureChoosen.nom }}</td>
                <th>Prénom</th>
                <td>{{ assureChoosen.prenom }}</td>
              </tr>
              <tr>
                <th>Date de naissance</th>
                <td>{{ assureChoosen.dateNaissance }}</td>
                <th>Lieu de naissance</th>
                <td>{{ assureChoosen.lieuNaissance }}</td>
              </tr>
              <tr>
                <th>Sexe</th>
                <td>{{ assureChoosen.sexe }}</td>
                <th>Armée</th>
                <td>{{ assureChoosen.armee }}</td>
              </tr>
              <tr>
                <th>Entrée en service le</th>
                <td>{{ assureChoosen.dateEntreService }}</td>
                <th>Unité</th>
                <td>{{ assureChoosen.unite }}</td>
              </tr>
              <tr>
                <th>Grade</th>
                <td>{{ assureChoosen.grade }}</td>
                <th>Numéro de téléphone</th>
                <td>{{ assureChoosen.tel }}</td>
              </tr>
            </table>
          </div>
        </div>
      </div>
    </div>
    <!--<div class="row">-->
      <!--<div class="col-lg-12 mb-4">-->
        <!--<div widget class="card border-0 box-shadow">-->
          <!--<div class="card-header transparent border-0 text-muted">-->
            <!--<h5 class="mb-0">Engagement</h5>-->
          <!--</div>-->
          <!--<div class="card-body pt-0 widget-body">-->
            <!--<br/>-->
            <!--<dx-data-grid id="gridContainer" #grid [dataSource]="dataSource" [showBorders]="true"-->
                          <!--[rowAlternationEnabled]="true" [allowColumnReordering]="true"-->
                          <!--[allowColumnResizing]="true" [columnMinWidth]="50" [hoverStateEnabled]="true"-->
                          <!--columnResizingMode="widget">-->
              <!--<dxi-column dataField="id" caption="ID" [width]="50"></dxi-column>-->
              <!--<dxi-column dataField="mensualite" caption="Mensualité"></dxi-column>-->
              <!--<dxi-column dataField="moisDus" caption="Mois dus"></dxi-column>-->
              <!--<dxi-column dataField="total" caption="Total"></dxi-column>-->
              <!--<dxi-column dataField="etat" caption="Etat de la souscription"></dxi-column>-->
            <!--</dx-data-grid>-->

          <!--</div>-->
        <!--</div>-->
      <!--</div>-->
    <!--</div>-->










    <div class="row">
      <div class="col-lg-12 mb-4">
        <div widget class="card border-0 box-shadow">
          <div class="card-header transparent border-0 text-muted">
            <h5 class="mb-0">Echéancier</h5>
          </div>
          <div class="card-body pt-0 widget-body">
            <br/>
            <!--<dx-data-grid id="gridContainer2" #grid2 [dataSource]="dataSource2" [showBorders]="true"-->
                          <!--[rowAlternationEnabled]="true" [allowColumnReordering]="true"-->
                          <!--[allowColumnResizing]="true" [columnMinWidth]="50" [hoverStateEnabled]="true"-->
                          <!--columnResizingMode="widget">-->
              <!--<dxi-column dataField="num" caption="Num" [width]="50"></dxi-column>-->
              <!--<dxi-column dataField="dateEcheance" caption="Date Echéance"></dxi-column>-->
              <!--<dxi-column dataField="capitalDu" caption="Capital Dû"></dxi-column>-->
              <!--<dxi-column dataField="interet" caption="Interêt"></dxi-column>-->
              <!--<dxi-column dataField="montantRemboursement" caption="Montant remboursement"></dxi-column>-->
              <!--<dxi-column dataField="frais" caption="Frais"></dxi-column>-->
              <!--<dxi-column dataField="mensualite" caption="Mensualité"></dxi-column>-->
              <!--<dxi-column dataField="etat" caption="Etat"></dxi-column>-->
            <!--</dx-data-grid>-->



            <dx-data-grid id="gridContainer"
                          #grid
                          [dataSource]="dataSource2"
                          [showBorders]="true"
                          [rowAlternationEnabled]="true"
                          [allowColumnReordering]="true"
                          [allowColumnResizing]="true"
                          [columnMinWidth]="50"
                          [hoverStateEnabled]="true"
                          columnResizingMode="widget"
                          (onToolbarPreparing)="onToolbarPreparing($event)">


              <dxo-column-chooser [enabled]="true"></dxo-column-chooser>
              <dxo-load-panel [enabled]="true"></dxo-load-panel>
              <dxo-export [enabled]="true" fileName="Liste des échéanciers"></dxo-export>

              <dxi-column dataField="id" caption="ID" [width]="50"  [visible]="false"  [allowHeaderFiltering]="false" ></dxi-column>
              <dxi-column dataField="num" caption="Numéro"  [allowHeaderFiltering]="false" ></dxi-column>

              <!--<dxi-column dataField="credit.demande.assure.nomprenom" caption="Nom"  [allowHeaderFiltering]="false" ></dxi-column>-->
              <!--<dxi-column dataField="credit.demande.assure.prenom" caption="Prénom"></dxi-column>-->
              <dxi-column dataField="credit.demande.assure.matricule" caption="Matricule"  [allowHeaderFiltering]="false" ></dxi-column>

              <dxi-column dataField="credit.numSouscription" caption="N° Souscription" alignment="right" [allowHeaderFiltering]="false" ></dxi-column>
              <dxi-column dataField="dateEcheance" caption="Date Echéance" dataType="date" format="dd/MM/yyyy" [width]="100"  [allowHeaderFiltering]="false" ></dxi-column>
              <dxi-column dataField="montantRemboursement" caption="Montant remboursement" dataType="number" alignment="right" [precision]="2" [allowHeaderFiltering]="false" ></dxi-column>
              <dxi-column dataField="mensualite" caption="Mensualité" dataType="number" alignment="right"  [allowHeaderFiltering]="false" ></dxi-column>
              <dxi-column dataField="credit.moisDus" caption="Mois dus"  [allowHeaderFiltering]="false" ></dxi-column>
              <dxi-column dataField="credit.total" caption="Total" dataType="number" alignment="right"  [allowHeaderFiltering]="false" ></dxi-column>
              <dxi-column dataField="etat" caption="Etat"></dxi-column>

              <dxi-column dataField="Actions" [allowFiltering]="false" [allowHeaderFiltering]="false"
                          [allowFiltering]="false" [allowSorting]="false" cellTemplate="cemplate"
                          alignment="center" [width]="70"></dxi-column>

              <div *dxTemplate="let data of 'cemplate'">
                <i class="fa fa-cog" title="Modifier" data-toggle="tooltip" (click)="openModalConsult(data.data)"></i>
              </div>
              <dxo-paging [pageSize]="10"></dxo-paging>
              <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]" [showInfo]="true">
              </dxo-pager>
              <dxo-sorting mode="multiple"></dxo-sorting>
              <dxo-filter-row [visible]="true"></dxo-filter-row>
              <dxo-header-filter [visible]="true"></dxo-header-filter>

              <dxo-search-panel [visible]="true" [width]="240" placeholder="Rechercher..."></dxo-search-panel>
              <dxo-group-panel [visible]="true"></dxo-group-panel>
            </dx-data-grid>
          </div>
        </div>
      </div>
    </div>
  </div>
</form>
